import { EventEmitter, ChangeDetectorRef, AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { NgForm, FormGroup } from '@angular/forms';
import { SdLabelDefDirective } from '@sd-angular/core/common';
import { SdFormControl } from '@sd-angular/core/common';
export declare class SdRadio implements OnInit, AfterViewInit, OnDestroy {
    #private;
    ref: ChangeDetectorRef;
    set name(val: string);
    formControl: SdFormControl;
    set form(val: NgForm | FormGroup);
    label: string;
    placeholder: string;
    display: 'row' | 'column';
    set model(value: number | string | boolean);
    items: any[];
    set pItems(items: any[]);
    valueField: string;
    displayField: string;
    set required(val: boolean | '');
    set disabled(val: boolean | '');
    sdLabelDef: SdLabelDefDirective;
    modelChange: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    sdSelection: EventEmitter<{
        value: any | any[];
        item?: any;
    }>;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    reValidate: () => void;
}
